org.apache.ignite.spi.communication.tcp.internal

## Class ClusterStateProvider

- java.lang.Object
- - org.apache.ignite.spi.communication.tcp.internal.ClusterStateProvider

Deprecated.
This class must be removed.

    public class ClusterStateProvider
    extends Object

The role of this is aggregate logic of cluster states.

### Constructor Summary

Constructors
Constructor and Description
`ClusterStateProvider(Ignite ignite, Supplier<ClusterNode> locNodeSupplier, TcpCommunicationSpi tcpCommSpi, Supplier<Boolean> stoppedSupplier, Supplier<IgniteSpiContext> spiCtxWithoutLatchSupplier, IgniteLogger log, Supplier<Ignite> igniteExSupplier)` Deprecated.

### Method Summary

All Methods Instance Methods Concrete Methods Deprecated Methods
`long` `clientFailureDetectionTimeout()` Deprecated. Returns client failure detection timeout set to use for network related operations.
`SSLEngine` `createSSLEngine()` Deprecated.
`void` `dumpStats()` Deprecated. Makes dump of `TcpCommunicationSpi` stats.
`int` `getOutboundMessagesQueueSize()` Deprecated.
`IgniteSpiContext` `getSpiContext()` Deprecated.
`IgniteSpiContext` `getSpiContextWithoutInitialLatch()` Deprecated.
`boolean` `isHandshakeWaitSupported()` Deprecated. Checks whether remote nodes support `HandshakeWaitMessage`.
`boolean` `isLocalNodeDisconnected()` Deprecated.
`boolean` `isSslEnabled()` Deprecated.
`boolean` `isStopping()` Deprecated.
`NodeIdMessage` `nodeIdMessage()` Deprecated.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClusterStateProvider

    public ClusterStateProvider(Ignite ignite,
                                Supplier<ClusterNode> locNodeSupplier,
                                TcpCommunicationSpi tcpCommSpi,
                                Supplier<Boolean> stoppedSupplier,
                                Supplier<IgniteSpiContext> spiCtxWithoutLatchSupplier,
                                IgniteLogger log,
                                Supplier<Ignite> igniteExSupplier)

Deprecated.

Parameters:
  `ignite` - Ignite.
  `locNodeSupplier` - Local node supplier.
  `tcpCommSpi` - Tcp communication spi.
  `stoppedSupplier` - Stopped supplier.
  `spiCtxWithoutLatchSupplier` - Spi context without latch
  `log` - Logger.
  `igniteExSupplier` - Returns already exists instance from spi.

### Method Detail

#### isLocalNodeDisconnected

    public boolean isLocalNodeDisconnected()

Deprecated.

Returns:
  `True` if local node in disconnected state.

#### isSslEnabled

    public boolean isSslEnabled()

Deprecated.

Returns:
  `True` if ssl enabled.

#### createSSLEngine

    public SSLEngine createSSLEngine()

Deprecated.

Returns:
  `SSLEngine` for ssl connections.

#### isStopping

    public boolean isStopping()

Deprecated.

Returns:
  `true` if `TcpCommunicationSpi` stopped.

#### clientFailureDetectionTimeout

    public long clientFailureDetectionTimeout()

Deprecated.
Returns client failure detection timeout set to use for network related operations.

Returns:
  client failure detection timeout in milliseconds or `0` if the timeout is disabled.

#### getSpiContext

    public IgniteSpiContext getSpiContext()

Deprecated.

Returns:
  `IgniteSpiContext` of `TcpCommunicationSpi`.

#### getSpiContextWithoutInitialLatch

    public IgniteSpiContext getSpiContextWithoutInitialLatch()

Deprecated.

Returns:
  `IgniteSpiContext` of `TcpCommunicationSpi`.

#### getOutboundMessagesQueueSize

    public int getOutboundMessagesQueueSize()

Deprecated.

Returns:
  Outbound messages queue size.

#### dumpStats

    public void dumpStats()

Deprecated.
Makes dump of `TcpCommunicationSpi` stats.

#### isHandshakeWaitSupported

    public boolean isHandshakeWaitSupported()

Deprecated.
Checks whether remote nodes support `HandshakeWaitMessage`.

Returns:
  `True` if remote nodes support `HandshakeWaitMessage`.

#### nodeIdMessage

    public NodeIdMessage nodeIdMessage()

Deprecated.

Returns:
  Node ID message.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.13.0
Release Date | : April 20 2022